package com.example;

import com.azure.data.appconfiguration.ConfigurationClient;
import com.azure.data.appconfiguration.ConfigurationClientBuilder;
import com.azure.data.appconfiguration.models.SettingSelector;
import com.example.service.AzureAppConfigService;

public class JavaAzureAppConfigApplication {

    public static void main(String[] args) {
        String app_configuration_connection_string = System.getenv("APP_CONFIGURATION_CONNECTION_STRING");
        ConfigurationClient configurationClient = new ConfigurationClientBuilder().connectionString(app_configuration_connection_string).buildClient();
        new AzureAppConfigService(configurationClient, new SettingSelector()).azureAppConfiguration();
    }
}
